@mixin media($point) {
  @if $point == "sm" {
    @media (min-width: 768px) {
      @content;
    }
  } @else if $point == "md" {
    @media (min-width: 992px) {
      @content;
    }
  } @else if $point == "lg" {
    @media (min-width: 1440px) {
      @content;
    }
  } @else if $point == "md-lg" {
    @media (min-width: 1280px) {
      @content;
    }
  } @else if $point == "xs" {
    @media (max-width: 767px) {
      @content;
    }
  } @else if $point == "xxs" {
    @media (max-width: 425px) {
      @content;
    }
  }
}

%input {
  background-color: transparent;
  border: 1px solid var(--gray-2);
  border-radius: 0.4rem;
  font-size: var(--font-size-small);
  font-weight: var(--font-weight-base);
  height: 5rem;
  padding: 1rem 1.6rem;

  &::placeholder {
    color: var(--gray-2);
  }

  @include media("md") {
    transition: var(--transition);

    &:hover {
      background-color: rgba(0, 0, 0, 0.08);
    }
  }
}

@keyframes shimmer {
  100% {
    transform: translateX(100%);
  }
}

%skeleton {
  background-color: #dddbdd;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  z-index: 0;

  &::after {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: -1;
    animation: shimmer 2s infinite;
    transform: translateX(-100%);
    background-image: linear-gradient(90deg, rgba(#fff, 0) 0, rgba(#fff, 0.2) 30%, rgba(#fff, 0.5) 40%, rgba(#fff, 0));
  }
}

@import "./buttons";
